Skip to content

Estimate credit cost for Functional Area Intelligence

Request

Returns the estimated credit cost for a Functional Area Intelligence (FAI) request without consuming any credits or returning data. Use the same parameters as the /functional-areas endpoint.

Security
authorization
Bodyapplication/jsonrequired

FAI estimate request

companyobjectrequired

Company identifier. Provide exactly one of id or domain.

Example:
{ "domain": "microsoft.com" }
filtersobject

Optional filters to narrow FAI results.

Example:
{ "departments": { "ids": [] }, "products": { "ids": [] }, "vendors": { "ids": [] } }
limitinteger, [ 1 .. 1000 ]

Maximum number of records to return

Default:100
Example:100
offsetinteger, >= 0

Number of records to skip

Default:0
Example:0
sortsArray of objects

Sort order for results

Default:[]
Example:
[ { "direction": "DESC", "field": "department_usage_share" } ]
POST
/data-api/v2/companies/functional-areas/estimate
curl -i -X POST \
  https://api.hginsights.com/data-api/v2/companies/functional-areas/estimate \
  -H 'Authorization: Bearer <YOUR_API_KEY_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "company": {
      "domain": "microsoft.com"
    },
    "filters": {
      "departments": {
        "ids": [
          "3570470BAD94692CE93E32700D2E1CB"
        ]
      },
      "products": {
        "ids": [
          814
        ]
      },
      "vendors": {
        "ids": [
          311,
          466
        ]
      }
    },
    "limit": 100,
    "offset": 0,
    "sorts": [
      {
        "direction": "DESC",
        "field": "department_usage_share"
      }
    ]
  }'

Responses

Estimate response

Bodyapplication/json
available_creditsintegerrequired

Credits currently available to the organization

Example:1000
credits_estimatenumber, (double)required

Estimated credits required to fulfill the request

Example:12.5
sufficient_creditsbooleanrequired

Whether available credits cover the estimate

Example:true
Response
{ "available_credits": 1000, "credits_estimate": 12.5, "sufficient_credits": true }